local commonharbour, CommonHarbourPrefix = ...

--------------------------------------------------------------------------
local COMMON_HARBOUR_COMP_ROTATE_OVEN = {
	TypeName = CommonHarbourPrefix .. "_COMP_ROTATE_OVEN",
	ParentType = "COMPONENT",
	Properties = {
		{ Name = "RotationSpeedY", Type = "float", Default = 0.5 }
	}
}

--------------------------------------------------------------------------
function COMMON_HARBOUR_COMP_ROTATE_OVEN:create()
	self._timer = 0
end

--------------------------------------------------------------------------
function COMMON_HARBOUR_COMP_ROTATE_OVEN:init()
        commonharbour:log("COMMON_HARBOUR_COMP_ROTATE_OVEN:init")
	self._rotationY = 0
end

--------------------------------------------------------------------------
function COMMON_HARBOUR_COMP_ROTATE_OVEN:update()
	local dt = self:getLevel():getDeltaTime()
	self._rotationY = self._rotationY - self.RotationSpeedY * dt
	self:getOwner():setRotationY(self._rotationY)
end

--------------------------------------------------------------------------
commonharbour:registerClass(COMMON_HARBOUR_COMP_ROTATE_OVEN)
